# Class HtsDefaultRegistry

java.lang.Object
htsjdk.beta.plugin.registry.HtsDefaultRegistry

public class HtsDefaultRegistry extends Object
A global, static, immutable, public registry for `HtsCodec` instances. The `HtsDefaultRegistry` is populated using dynamic discovery of `HtsCodec` implementations by a `ServiceLoader`. To create a private, mutable registry for resolving inputs against custom codec implementations, use `HtsCodecRegistry.createPrivateRegistry()`.

## Constructor Summary

Constructors
Constructor
Description
`HtsDefaultRegistry()`

## Method Summary

Modifier and Type
Method
Description
`static HaploidReferenceResolver`
`getHaploidReferenceResolver()`
Grt the `HaploidReferenceResolver` resolver for this registry.
`static ReadsResolver`
`getReadsResolver()`
Gt the `ReadsResolver` resolver for this registry.
`static VariantsResolver`
`getVariantsResolver()`
Get the `VariantsResolver` resolver for this registry.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HtsDefaultRegistry

public HtsDefaultRegistry()

## Method Details

### getHaploidReferenceResolver

public static HaploidReferenceResolver getHaploidReferenceResolver()
Grt the `HaploidReferenceResolver` resolver for this registry.

Returns:
  the `HaploidReferenceResolver` resolver for this registry

### getReadsResolver

public static ReadsResolver getReadsResolver()
Gt the `ReadsResolver` resolver for this registry.

Returns:
  the `ReadsResolver` resolver for this registry

### getVariantsResolver

public static VariantsResolver getVariantsResolver()
Get the `VariantsResolver` resolver for this registry.

Returns:
  the `VariantsResolver` resolver for this registry